Page MenuHomePhabricator

Add Support for PHP 7.1 to Toolforge
Closed, DeclinedPublic

Description

PHP 7.1 was released in December of 2016 and it is still unsupported on Toolforge.

There are now many frameworks and libraries that require at least support for PHP 7.0 and new libraries that only support PHP 7.1 (with plans to only support the latest version).

There is an "official" docker image for PHP 7.1 (as well as 7.0, etc.) that is maintained by the Docker community:
https://hub.docker.com/_/php/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2017, 10:52 PM
bd808 added a subscriber: bd808.Oct 23 2017, 11:15 PM

This would require one of:

  • Adding Docker containers which install PHP from a source other than the Wikimedia Foundation apt servers
  • Adding Docker containers based on Debian Buster
  • Making arbitrary Docker containers work with webservice --backend=kubernetes

I'm not even sure I want to contemplate what it would take to provide PHP 7.1 on the bastions and Grid Engine nodes.

dbarratt added a comment.EditedOct 23 2017, 11:19 PM
  • Making arbitrary Docker containers work with webservice --backend=kubernetes

That would be my preference, so we are able to use whatever version/extensions, etc. that suit our needs in a sandboxed environment.

dmaza added a subscriber: dmaza.Oct 23 2017, 11:21 PM

Is there an ETA for this?

Is there an ETA for this?

No

putnik added a subscriber: putnik.Apr 15 2018, 6:06 AM

Based on the current practice of building on top of Debian, I don't think PHP 7.1 in Toolforge will ever happen. Debian Stretch shipped with PHP 7.0 (I filed T195689 for that), and Debian Buster looks like it's going to ship with PHP 7.2 (T188318), so 7.1 will probably get skipped over.

dbarratt added a comment.EditedMay 29 2018, 4:30 PM

That's fine with me, this task would be closed in favor of T188318: Support PHP 7.2 webservices on Toolforge Kubernetes cluster. I think, however, there is a case to be made that it should not be built on top of Debian and instead be build on top of the official repositories, but perhaps that is outside of scope.

Krinkle closed this task as Declined.Jul 15 2018, 10:21 PM
Krinkle added a subscriber: Krinkle.

Per T178850#4234317, let's focus on T188318 instead.